For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet insurance refunds
        • GETGet insurance refund
        • POSTCreate insurance refund
        • PATCHUpdate
        • DELDelete insurance refund
Contact Sales
LogoLogo
API ReferenceInsurance RefundsV1

Get insurance refund

Beta
GET
/api/insurance-refunds/v1/:insurance_refund_id
GET
/api/insurance-refunds/v1/:insurance_refund_id
$curl https://api.joincandidhealth.com/api/insurance-refunds/v1/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32 \
> -H "Authorization: Bearer <token>"
1{
2 "insurance_refund_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
3 "payer": {
4 "payer_uuid": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
5 "payer_id": "payer_id",
6 "payer_name": "payer_name",
7 "availity_payer_name": "availity_payer_name",
8 "availity_claims_payer_id": "availity_claims_payer_id",
9 "availity_eligibility_id": "availity_eligibility_id",
10 "availity_remittance_payer_id": "availity_remittance_payer_id",
11 "street_address": {
12 "address1": "address1",
13 "city": "city",
14 "state": "AA",
15 "zip_code": "zip_code",
16 "zip_plus_four_code": "zip_plus_four_code",
17 "address2": "address2"
18 }
19 },
20 "amount_cents": 1,
21 "allocations": [
22 {
23 "amount_cents": 1,
24 "target": {
25 "type": "service_line",
26 "claim_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
27 "encounter_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
28 "service_line_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
29 },
30 "allocation_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
31 "earmark": {
32 "id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
33 "target": {
34 "type": "date_of_service",
35 "value": "target"
36 },
37 "amount_earmarked_cents": 1,
38 "created_by_allocation_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
39 },
40 "allocated_on": "2024-01-15T09:30:00Z"
41 },
42 {
43 "amount_cents": 1,
44 "target": {
45 "type": "service_line",
46 "claim_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
47 "encounter_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
48 "service_line_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
49 },
50 "allocation_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
51 "earmark": {
52 "id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
53 "target": {
54 "type": "date_of_service",
55 "value": "target"
56 },
57 "amount_earmarked_cents": 1,
58 "created_by_allocation_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
59 },
60 "allocated_on": "2024-01-15T09:30:00Z"
61 }
62 ],
63 "refund_timestamp": "2024-01-15T09:30:00Z",
64 "refund_note": "refund_note",
65 "refund_reason": "OVERCHARGED"
66}

Retrieves a previously created insurance refund by its insurance_refund_id. If the refund does not exist, a 403 will be thrown.

Was this page helpful?
Previous

Create insurance refund

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

insurance_refund_idUUIDRequired

Response

This endpoint returns an object.
insurance_refund_idUUID
payerobject
amount_centsinteger
allocationslist of objects
refund_timestampdatetime
refund_notestring
refund_reasonenum
Allowed values:

Errors

403
Unauthorized Error
404
Entity Not Found Error